{-# LANGUAGE DeriveGeneric     #-}
{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}

import BasicPrelude         hiding (mapM_)
import Data.ByteString
import Data.Conduit.List
import Network.Ntrip.Client
import Options.Generic
import System.IO

data Args = Args
  { url :: ByteString
  } deriving (Show, Generic)

instance ParseRecord Args

output :: ByteString -> IO ()
output bs = do
  hPut stdout bs
  hFlush stdout

main :: IO ()
main = do
  args <- getRecord "NTRIP Client"
  runNtrip (url args) sourceNull (mapM_ output)

